Subject: Re: [Ecrit] WGLC Announce: Data-Only Emergency Calls

From: "Caron, Guy (A162859)" <[email-masked]>
Date: Mon, 1 Aug 2016 20:44:14 +0000

Hi ECRIT,

I've reviewed this draft and finds it ready to move forward. My review comments are in the sections below where PART A is for substantive comments and PART B is for editorial/cosmetic comments.

Thanks,

Guy

////// START \\\\\\

PART A - Substantive Comments
--------------------------------

Section 1
a. Second paragraph, 2nd sentence: Delete "or vehicles sending crash data" as this is covered in another I-D and align the text with what is found in the abstract: "Examples of such environments include alerts issued by a temperature sensor, burglar alarm or chemical spill sensor."
b. Second paragraph, 3rd sentence: Delete "to emergency authorities" to cover both usage modes.

Section 8
b. See comment on CAP v1.1 below.
c. In both examples, delete "2" in the Content-ID field of the PIDF-LO body to match what is declared in the Geolocation header field ([email-masked]).

Section 9
d. The section recommends use of RFC4474. There is work in the IETF STIR WG to enhance this mechanism (RFC4474bis). Should RFC4474bis be referenced instead?

Section 10.1
e. The hyperlink to the CAP protocol under Additional Information is broken and should be updated.

Normative References Section
f. The Referenced CAP standard is version 1.1 published in October 2005. Version 1.2 was published in 2010. Any reason not to reference the latest version? If it is agreed to reference v1.2, the examples in section 8 should be revisited to ensure they remain XML-valid with the v1.2 schema.

Section B - Editorial/Cosmetic
------------------------------

Abstract Section
1. Second paragraph: In the 2nd sentence, remove the comma after alarm ("Examples of such environments include alerts issued by a temperature sensor, burglar alarm or chemical spill sensor").
2. Second paragraph: In the 4th sentence, make "type" plural and "interaction" singular ("These types of interaction...").

Section 1
3. Second paragraph: In the 4th sentence, make "type" plural and "interaction" singular ("These types of interaction...").
4. Last paragraph and all occurrences thereafter: Replace the Additional Data I-D by RFC 7852.
5. Last paragraph: Replace "alert specific" by "alert-specific".

Section 4.1
6. Second paragraph: in the 2nd sentence, replace the first "with" with "via" (i.e., " Accordingly, it is introduced to the SIP message via a Call-Info header field with a purpose of...").
7. Second paragraph: In the 4th sentence, change "Alternative" to "Alternatively" and capitalize "url".

Section 4.2
8. Fourth paragraph: In the second sentence, remove the comma after "preserved".
9. Fourth paragraph: In the last sentence, delete "original".
10. Eighth paragraph: Replace "sendor" by "sender".

Section 5.2
11. In the paragraph starting with "The ErrorValue contains a 3-digit error code...": In the third sentence, replace "are" with "is" since "string" is appropriately singular.
12. In the paragraph starting with "The AlertMsg-Error header field MAY be included...": In the second sentence, replace "an" by "a" before "MESSAGE".

Section 8
13. Make the dateTime of the <sent> element of the CAP body consistent with the dateTime of the <retention-expiry> and <timestamp> element of the PIDF-LO body.

Section 10.3
14. Add a colon after "added" in the first sentence.

\\\\\\ END //////

-----Message d'origine-----
De : Ecrit [mailto:[email-masked]] De la part de Roger Marshall
Envoyé : 19 juillet 2016 16:46
À : [email-masked]
Objet : [Ecrit] WGLC Announce: Data-Only Emergency Calls

Today starts a new working group last call for:

Data-Only Emergency Calls
http://datatracker.ietf.org/doc/draft-ietf-ecrit-data-only-ea/

Please review the document and send comments to the ECRIT mail list by CoB, July 30, 2016.

Thanks,

Marc & Roger
ECRIT Chairs
_______________________________________________
Ecrit mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ecrit

NOTICE TO RECIPIENT: This email, including attachments, may contain information which is confidential, proprietary, attorney-client privileged and/or controlled under U.S. export laws and regulations and may be restricted from disclosure by applicable State and Federal law. Nothing in this email shall create any legal binding agreement between the parties unless expressly stated herein and provided by an authorized representative of Comtech Telecommunications Corp. or its subsidiaries. If you are not the intended recipient of this message, be advised that any dissemination, distribution, or use of the contents of this message is strictly prohibited. If you received this message in error, please notify us immediately by return email and permanently delete all copies of the original email and any attached documentation from any computer or other media.

_______________________________________________
Ecrit mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ecrit

---

From: Roger Marshall <[email-masked]>
Date: Fri, 5 Aug 2016 15:00:22 +0000

We received some comments on this draft during WGLC (thank you Guy Caron!).  We'd like to get more review comments, either things that need changing or a show of support.  Please post to the list if you support this draft moving ahead.

Roger & Marc
ECRIT Chairs

-----Original Message-----
From: Ecrit [mailto:[email-masked]] On Behalf Of Roger Marshall
Sent: Tuesday, July 19, 2016 1:46 PM
To: [email-masked]
Subject: [Ecrit] WGLC Announce: Data-Only Emergency Calls

Thanks,

Marc & Roger
ECRIT Chairs

---

From: "STARK, BARBARA H" <[email-masked]>
Date: Fri, 5 Aug 2016 19:03:19 +0000

> We received some comments on this draft during WGLC (thank you Guy
> Caron!).  We'd like to get more review comments, either things that need
> changing or a show of support.  Please post to the list if you support this draft
> moving ahead.

I've read this draft and support it. I have no substantive comments, but sent editorial nits directly to the authors. I'll mention 2 of those nits here, though, just in case someone doesn't think they're nits.

In Section 9:
"...the usage of TLS is MANDATORY."
"MANDATORY" is not a RFC 2119 word. I suggest "REQUIRED".

In Section 8 Figure 3:
" Call-ID: [email-masked]"
If "1.2.3.4" is supposed to represent an example IPv4 address, I suggest using one of the IANA reserved-for-documentation address blocks (search for documentation at http://www.iana.org/assignments/iana-ipv4-special-registry/iana-ipv4-special-registry.xhtml). If you really want to make IETF-powers-that-be happy, change this to a documentation IPv6 address (http://www.iana.org/assignments/iana-ipv6-special-registry/iana-ipv6-special-registry.xhtml).  

Barbara